Get tenant consumption and quota

Get tenant consumption and quota. See the OpenAPI-defined parameters, request body, and responses below.

GET /Department/tenant-quota

Get tenant consumption and quota. See the OpenAPI-defined parameters, request body, and responses below.

OpenAPI description: Retorna o consumo do mês atual em UTC, o limite mensal e a indicação de bloqueio por cota do tenant autenticado. Não altera limites nem registra consumo.

Authentication

Authentication required. Send your user API key in the X-API-Key header.

Parameters

This operation has no path, query, or header parameters.

Request body

This operation does not accept a request body.

Example request

curl --request GET \
  --url 'https://api.zild.ai/Department/tenant-quota' \
  --header 'X-API-Key: YOUR_USER_API_KEY'

Responses

StatusDescriptionResponse body
200Situação da cota do tenant.application/json · UsageQuotaStatus

Example response (200):

{
  "tenantUsedAmount": 0,
  "tenantLimitAmount": 0,
  "departmentUsedAmount": 0,
  "departmentLimitAmount": 0,
  "exceeded": true
}

Data models

UsageQuotaStatus
PropertyTypeRequiredDescriptionConstraints
tenantUsedAmountnumber · doubleNo——
tenantLimitAmountnumber · doubleNo—nullable
departmentUsedAmountnumber · doubleNo——
departmentLimitAmountnumber · doubleNo—nullable
exceededbooleanNo——